<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_181) on Mon Apr 01 14:30:48 IST 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Uses of Class io.mosip.registration.entity.SyncControl (registration-services 0.10.0 API)</title>
<meta name="date" content="2019-04-01">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class io.mosip.registration.entity.SyncControl (registration-services 0.10.0 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../io/mosip/registration/entity/SyncControl.html" title="class in io.mosip.registration.entity">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?io/mosip/registration/entity/class-use/SyncControl.html" target="_top">Frames</a></li>
<li><a href="SyncControl.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class io.mosip.registration.entity.SyncControl" class="title">Uses of Class<br>io.mosip.registration.entity.SyncControl</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../io/mosip/registration/entity/SyncControl.html" title="class in io.mosip.registration.entity">SyncControl</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#io.mosip.registration.dao">io.mosip.registration.dao</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#io.mosip.registration.dao.impl">io.mosip.registration.dao.impl</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#io.mosip.registration.jobs">io.mosip.registration.jobs</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#io.mosip.registration.jobs.impl">io.mosip.registration.jobs.impl</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#io.mosip.registration.repositories">io.mosip.registration.repositories</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="io.mosip.registration.dao">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../io/mosip/registration/entity/SyncControl.html" title="class in io.mosip.registration.entity">SyncControl</a> in <a href="../../../../../io/mosip/registration/dao/package-summary.html">io.mosip.registration.dao</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../io/mosip/registration/dao/package-summary.html">io.mosip.registration.dao</a> that return <a href="../../../../../io/mosip/registration/entity/SyncControl.html" title="class in io.mosip.registration.entity">SyncControl</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/entity/SyncControl.html" title="class in io.mosip.registration.entity">SyncControl</a></code></td>
<td class="colLast"><span class="typeNameLabel">SyncJobControlDAO.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/SyncJobControlDAO.html#findBySyncJobId-java.lang.String-">findBySyncJobId</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;syncJobId)</code>
<div class="block">Get Sync Control data using jobId.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/entity/SyncControl.html" title="class in io.mosip.registration.entity">SyncControl</a></code></td>
<td class="colLast"><span class="typeNameLabel">SyncJobControlDAO.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/SyncJobControlDAO.html#save-io.mosip.registration.entity.SyncControl-">save</a></span>(<a href="../../../../../io/mosip/registration/entity/SyncControl.html" title="class in io.mosip.registration.entity">SyncControl</a>&nbsp;syncControl)</code>
<div class="block">Save Sync Control Transaction.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/entity/SyncControl.html" title="class in io.mosip.registration.entity">SyncControl</a></code></td>
<td class="colLast"><span class="typeNameLabel">MasterSyncDao.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/MasterSyncDao.html#syncJobDetails-java.lang.String-">syncJobDetails</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;synccontrol)</code>
<div class="block">Gets the master sync status.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/entity/SyncControl.html" title="class in io.mosip.registration.entity">SyncControl</a></code></td>
<td class="colLast"><span class="typeNameLabel">SyncJobControlDAO.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/SyncJobControlDAO.html#update-io.mosip.registration.entity.SyncControl-">update</a></span>(<a href="../../../../../io/mosip/registration/entity/SyncControl.html" title="class in io.mosip.registration.entity">SyncControl</a>&nbsp;syncControl)</code>
<div class="block">Update Sync control transaction.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../io/mosip/registration/dao/package-summary.html">io.mosip.registration.dao</a> that return types with arguments of type <a href="../../../../../io/mosip/registration/entity/SyncControl.html" title="class in io.mosip.registration.entity">SyncControl</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/entity/SyncControl.html" title="class in io.mosip.registration.entity">SyncControl</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">SyncJobControlDAO.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/SyncJobControlDAO.html#findAll--">findAll</a></span>()</code>
<div class="block">Get all sync control records.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/entity/SyncControl.html" title="class in io.mosip.registration.entity">SyncControl</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">SyncJobControlDAO.SyncJobInfo.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/SyncJobControlDAO.SyncJobInfo.html#getSyncControlList--">getSyncControlList</a></span>()</code>
<div class="block">Gets the sync control list.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../io/mosip/registration/dao/package-summary.html">io.mosip.registration.dao</a> with parameters of type <a href="../../../../../io/mosip/registration/entity/SyncControl.html" title="class in io.mosip.registration.entity">SyncControl</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/entity/SyncControl.html" title="class in io.mosip.registration.entity">SyncControl</a></code></td>
<td class="colLast"><span class="typeNameLabel">SyncJobControlDAO.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/SyncJobControlDAO.html#save-io.mosip.registration.entity.SyncControl-">save</a></span>(<a href="../../../../../io/mosip/registration/entity/SyncControl.html" title="class in io.mosip.registration.entity">SyncControl</a>&nbsp;syncControl)</code>
<div class="block">Save Sync Control Transaction.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/entity/SyncControl.html" title="class in io.mosip.registration.entity">SyncControl</a></code></td>
<td class="colLast"><span class="typeNameLabel">SyncJobControlDAO.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/SyncJobControlDAO.html#update-io.mosip.registration.entity.SyncControl-">update</a></span>(<a href="../../../../../io/mosip/registration/entity/SyncControl.html" title="class in io.mosip.registration.entity">SyncControl</a>&nbsp;syncControl)</code>
<div class="block">Update Sync control transaction.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructor parameters in <a href="../../../../../io/mosip/registration/dao/package-summary.html">io.mosip.registration.dao</a> with type arguments of type <a href="../../../../../io/mosip/registration/entity/SyncControl.html" title="class in io.mosip.registration.entity">SyncControl</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/SyncJobControlDAO.SyncJobInfo.html#SyncJobInfo-java.util.List-double-java.util.List-">SyncJobInfo</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/entity/SyncControl.html" title="class in io.mosip.registration.entity">SyncControl</a>&gt;&nbsp;syncControlList,
           double&nbsp;yetToExportCount,
           <a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>&gt;&nbsp;lastExportRegistrationList)</code>
<div class="block">Instantiates a new sync job info.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.dao.impl">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../io/mosip/registration/entity/SyncControl.html" title="class in io.mosip.registration.entity">SyncControl</a> in <a href="../../../../../io/mosip/registration/dao/impl/package-summary.html">io.mosip.registration.dao.impl</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../io/mosip/registration/dao/impl/package-summary.html">io.mosip.registration.dao.impl</a> that return <a href="../../../../../io/mosip/registration/entity/SyncControl.html" title="class in io.mosip.registration.entity">SyncControl</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/entity/SyncControl.html" title="class in io.mosip.registration.entity">SyncControl</a></code></td>
<td class="colLast"><span class="typeNameLabel">SyncJobControlDAOImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/impl/SyncJobControlDAOImpl.html#findBySyncJobId-java.lang.String-">findBySyncJobId</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;syncJobId)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/entity/SyncControl.html" title="class in io.mosip.registration.entity">SyncControl</a></code></td>
<td class="colLast"><span class="typeNameLabel">SyncJobControlDAOImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/impl/SyncJobControlDAOImpl.html#save-io.mosip.registration.entity.SyncControl-">save</a></span>(<a href="../../../../../io/mosip/registration/entity/SyncControl.html" title="class in io.mosip.registration.entity">SyncControl</a>&nbsp;syncControl)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/entity/SyncControl.html" title="class in io.mosip.registration.entity">SyncControl</a></code></td>
<td class="colLast"><span class="typeNameLabel">MasterSyncDaoImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/impl/MasterSyncDaoImpl.html#syncJobDetails-java.lang.String-">syncJobDetails</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;synccontrol)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/entity/SyncControl.html" title="class in io.mosip.registration.entity">SyncControl</a></code></td>
<td class="colLast"><span class="typeNameLabel">SyncJobControlDAOImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/impl/SyncJobControlDAOImpl.html#update-io.mosip.registration.entity.SyncControl-">update</a></span>(<a href="../../../../../io/mosip/registration/entity/SyncControl.html" title="class in io.mosip.registration.entity">SyncControl</a>&nbsp;syncControl)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../io/mosip/registration/dao/impl/package-summary.html">io.mosip.registration.dao.impl</a> that return types with arguments of type <a href="../../../../../io/mosip/registration/entity/SyncControl.html" title="class in io.mosip.registration.entity">SyncControl</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/entity/SyncControl.html" title="class in io.mosip.registration.entity">SyncControl</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">SyncJobControlDAOImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/impl/SyncJobControlDAOImpl.html#findAll--">findAll</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../io/mosip/registration/dao/impl/package-summary.html">io.mosip.registration.dao.impl</a> with parameters of type <a href="../../../../../io/mosip/registration/entity/SyncControl.html" title="class in io.mosip.registration.entity">SyncControl</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/entity/SyncControl.html" title="class in io.mosip.registration.entity">SyncControl</a></code></td>
<td class="colLast"><span class="typeNameLabel">SyncJobControlDAOImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/impl/SyncJobControlDAOImpl.html#save-io.mosip.registration.entity.SyncControl-">save</a></span>(<a href="../../../../../io/mosip/registration/entity/SyncControl.html" title="class in io.mosip.registration.entity">SyncControl</a>&nbsp;syncControl)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/entity/SyncControl.html" title="class in io.mosip.registration.entity">SyncControl</a></code></td>
<td class="colLast"><span class="typeNameLabel">SyncJobControlDAOImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/impl/SyncJobControlDAOImpl.html#update-io.mosip.registration.entity.SyncControl-">update</a></span>(<a href="../../../../../io/mosip/registration/entity/SyncControl.html" title="class in io.mosip.registration.entity">SyncControl</a>&nbsp;syncControl)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.jobs">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../io/mosip/registration/entity/SyncControl.html" title="class in io.mosip.registration.entity">SyncControl</a> in <a href="../../../../../io/mosip/registration/jobs/package-summary.html">io.mosip.registration.jobs</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../io/mosip/registration/jobs/package-summary.html">io.mosip.registration.jobs</a> that return <a href="../../../../../io/mosip/registration/entity/SyncControl.html" title="class in io.mosip.registration.entity">SyncControl</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/entity/SyncControl.html" title="class in io.mosip.registration.entity">SyncControl</a></code></td>
<td class="colLast"><span class="typeNameLabel">SyncManager.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/jobs/SyncManager.html#createSyncControlTransaction-io.mosip.registration.entity.SyncTransaction-">createSyncControlTransaction</a></span>(<a href="../../../../../io/mosip/registration/entity/SyncTransaction.html" title="class in io.mosip.registration.entity">SyncTransaction</a>&nbsp;syncTransaction)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.jobs.impl">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../io/mosip/registration/entity/SyncControl.html" title="class in io.mosip.registration.entity">SyncControl</a> in <a href="../../../../../io/mosip/registration/jobs/impl/package-summary.html">io.mosip.registration.jobs.impl</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../io/mosip/registration/jobs/impl/package-summary.html">io.mosip.registration.jobs.impl</a> that return <a href="../../../../../io/mosip/registration/entity/SyncControl.html" title="class in io.mosip.registration.entity">SyncControl</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/entity/SyncControl.html" title="class in io.mosip.registration.entity">SyncControl</a></code></td>
<td class="colLast"><span class="typeNameLabel">SyncManagerImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/jobs/impl/SyncManagerImpl.html#createSyncControlTransaction-io.mosip.registration.entity.SyncTransaction-">createSyncControlTransaction</a></span>(<a href="../../../../../io/mosip/registration/entity/SyncTransaction.html" title="class in io.mosip.registration.entity">SyncTransaction</a>&nbsp;syncTransaction)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.repositories">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../io/mosip/registration/entity/SyncControl.html" title="class in io.mosip.registration.entity">SyncControl</a> in <a href="../../../../../io/mosip/registration/repositories/package-summary.html">io.mosip.registration.repositories</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../io/mosip/registration/repositories/package-summary.html">io.mosip.registration.repositories</a> that return <a href="../../../../../io/mosip/registration/entity/SyncControl.html" title="class in io.mosip.registration.entity">SyncControl</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/entity/SyncControl.html" title="class in io.mosip.registration.entity">SyncControl</a></code></td>
<td class="colLast"><span class="typeNameLabel">SyncJobControlRepository.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/repositories/SyncJobControlRepository.html#findBySyncJobId-java.lang.String-">findBySyncJobId</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;syncJobId)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../io/mosip/registration/repositories/package-summary.html">io.mosip.registration.repositories</a> that return types with arguments of type <a href="../../../../../io/mosip/registration/entity/SyncControl.html" title="class in io.mosip.registration.entity">SyncControl</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/entity/SyncControl.html" title="class in io.mosip.registration.entity">SyncControl</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">SyncJobControlRepository.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/repositories/SyncJobControlRepository.html#findAll--">findAll</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../io/mosip/registration/entity/SyncControl.html" title="class in io.mosip.registration.entity">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?io/mosip/registration/entity/class-use/SyncControl.html" target="_top">Frames</a></li>
<li><a href="SyncControl.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
